package com.mamezou.aopschema.aspect;

import org.aspectj.lang.ProceedingJoinPoint;


public class AopExAdvice {
    public void after() {
        // \bhIWeavingAdvice
        System.out.println("after called");
    }

    public void before() {
        // \bhJnWeavingAdvice
        System.out.println("before called");
    }

    public void around(ProceedingJoinPoint pjp) throws Throwable {
        // \bhďȏOWeavingAdvice
        System.out.println("pre proceed");
        pjp.proceed();
        System.out.println("post proceed");
    }

    public void afterReturning(String ret) {
        // \bhďoȎoȂɏIۂɌĂ΂Advice
        System.out.println("after returning called");
        System.out.println("return value = " + ret);
    }
    
    public void afterThrowing(Throwable ex) {
        // \bhďoŗOoꂽۂɌĂ΂Advice
        System.out.println("after throwing called");
        System.out.println("exception value = " + ex.toString());
    }
}
