package com.mamezou.utilschema.constant;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class ConstantExMain {
    public static void main(String[] args) {
        BeanFactory applicationContext 
                = new ClassPathXmlApplicationContext("/com/mamezou/utilschema/constant/ApplicationContext.xml");
        
        ExBean exBean1 = (ExBean) applicationContext.getBean("exBean1");
        ExBean exBean2 = (ExBean) applicationContext.getBean("exBean2");
        
        System.out.println("exBean1.intVal = " + exBean1.getIntVal());
        System.out.println("exBean2.intVal = " + exBean2.getIntVal());
    }
}
