package example.txconfig;

import java.io.IOException;

import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Transactional(
        propagation=Propagation.REQUIRES_NEW, 
        isolation=Isolation.DEFAULT,
        readOnly=false,
        rollbackFor={RuntimeException.class, IOException.class}
        )
public class AnnotationTxExBeanImpl implements TxExBean {

    public void exMethod() {
        System.out.println("method in transaction");
    }
}
